data example13_15;
do group=1 to 2;                
do y=1 to 2;
input f@@;
output;
end;
end;
cards;
51 69
48 72
;
/*以上过程利用do循环语句输入数据，group=1表示试验组，group=2表示对照组；y=1表示有效，y=2表示无效*/
proc freq;
weight f;
table group*y/riskdiff(column=1 noninferiority margin=0.1);
/*colomn=1表示比较的是第1列（也就是有效率），noninferioty表示执行非劣效检验，margin指定非劣效界值为0.1*/
run;
